Technical Requirements
for UBS e-banking

To ensure the correct functioning of UBS e-banking applications, we recommend the following Internet browser versions. Please also ensure that you keep your operating system and Internet browser updated with the latest security features.

Operating systems:

Windows 2000, XP, Vista
Macintosh OS X

Internet browser:

Internet Explorer 6.0 SP1 / SP2, 7.0
Firefox 2.0
Safari 3.1 for Macintosh OS X

PDF Viewer:

Adobe Reader 7.0.9, 8.0